Imports System.Collections.Generic

''' <summary>
''' ProductCatalog class contains the Bundles and Service Plans
''' that are returned from a call to the QueryOffers web service.
''' </summary>
''' <remarks></remarks>
<Serializable()> _
<DebuggerDisplay("Product Catalog: {_bundles.Count} Bundles, {_ServicePlans.Count} Plans")> _
Public Class ProductCatalog
    ' Private _cart As ShoppingCart
    Private m_bundles As Dictionary(Of String, Bundle)
    Private m_ServicePlans As Dictionary(Of String, ServicePlan)

    Public Sub New()
        ' _cart = New ShoppingCart()
        m_ServicePlans = New Dictionary(Of String, ServicePlan)
        m_bundles = New Dictionary(Of String, Bundle)
    End Sub


    Public Sub New(ByVal pbundles As Dictionary(Of String, Bundle), _
        ByVal pservicePlans As Dictionary(Of String, ServicePlan))
        ' _cart = New ShoppingCart
        m_bundles = pbundles
        m_ServicePlans = pservicePlans
    End Sub

    'Public ReadOnly Property Cart() As ShoppingCart
    '  Get
    '    Return _cart
    '  End Get
    'End Property

    Public ReadOnly Property Bundles() As Dictionary(Of String, Bundle)
        Get
            Return m_bundles
        End Get
    End Property

    Public ReadOnly Property ServicePlans() As Dictionary(Of String, ServicePlan)
        Get
            Return m_ServicePlans
        End Get
    End Property

End Class

